#!/bin/bash
###################################
#fuction  intall mysql57 
#created by AL  2018/05/01
####################################

install_path=`pwd`

###lib install
yum install -y gcc gcc-c++  ncurses-devel  curl-devel  wget cmake

## create user and group

groupadd mysql -g 502
useradd -s /sbin/nologin -M mysql -u 502 -g mysql


soft_path=/root/software

if [ ! -d $soft_path ];then
        mkdir $soft_path
        cd $soft_path
else
        cd $soft_path
fi

###initalize
wget http://8.210.81.239/linux/mysql/ld.so.conf

cp -f  ${install_path}/ld.so.conf  /etc/ld.so.conf

ldconfig


if [ ! -f  cmake-3.8.0.tar.gz ];then
wget http://8.210.81.239/linux/mysql/cmake-3.8.0.tar.gz
tar zxf cmake-3.8.0.tar.gz
cd cmake-3.8.0
./configure
make && make install
cd ..
fi

if [ ! -f boost_1_59_0.tar.gz ];then
wget  http://8.210.81.239/linux/mysql/boost_1_59_0.tar.gz
tar zxf boost_1_59_0.tar.gz
mv  boost_1_59_0  /opt/boost
fi

if [ ! -f mysql-5.7.19.tar.gz ];then

wget  http://8.210.81.239/linux/mysql/mysql-5.7.19.tar.gz
fi


##install zlib1.2.8
#cd ${install_path}/files
#tar zxf zlib-1.2.8.tar.gz
##./configure
#make && make install


###install mysql

tar zxf  mysql-5.7.19.tar.gz
cd mysql-5.7.19

cmake  -DCMAKE_INSTALL_PREFIX=/opt/mysql/ \
-DMYSQL_UNIX_ADDR=/opt/mysql/tmp/mysql.sock \
-DDEFAULT_CHARSET=utf8 \
-DDEFAULT_COLLATION=utf8_general_ci \
-DWITH_EXTRA_CHARSETS=all \
-DWITH_MYISAM_STORAGE_ENGINE=1 \
-DWITH_INNOBASE_STORAGE_ENGINE=1 \
-DWITH_INNODB_MEMCACHED=1 \
-DWITH_DEBUG=OFF \
-DWITH_ZLIB=bundled \
-DENABLED_LOCAL_INFILE=1 \
-DENABLED_PROFILING=ON \
-DMYSQL_MAINTAINER_MODE=OFF \
-DMYSQL_DATADIR=/opt/mysql/var \
-DMYSQL_TCP_PORT=3306  \
-DWITH_BOOST=/opt/boost   



make
make install
#####加入系统服务######

cp support-files/mysql.server /etc/init.d/mysqld
chmod +x  /etc/init.d/mysqld
chkconfig --add mysqld
chkconfig --level 345 mysqld on



cd /opt/mysql/

rm -f /etc/my.cnf
wget http://8.210.81.239/linux/mysql/mysql57.cnf
mv mysql57.cnf my.cnf
mkdir /opt/mysql/tmp
chown -R mysql.mysql /opt/mysql/tmp

/opt/mysql/bin/mysqld  --defaults-file=/opt/mysql/my.cnf --initialize  --datadir=/opt/mysql/var --user=mysql --basedir=/opt/mysql   ##空密码参数 --initial-insecure




echo "PATH=/opt/mysql/bin:$PATH" >> /etc/profile
source /etc/profile
service mysqld start




if [ $? == 0 ];then
echo "##################"  
echo -e "\033[40;32m install success \033[0m"
echo "###################"


  
 else 
  echo "##############"
 echo -e "\033[40;31m error \033[0m"
 echo "############" 
 fi




















